com.mysql.jdbc

## Class DatabaseMetaData.ResultSetIterator

- java.lang.Object
- - com.mysql.jdbc.DatabaseMetaData.IteratorWithCleanup<java.lang.String>
  - - com.mysql.jdbc.DatabaseMetaData.ResultSetIterator

Enclosing class:
  DatabaseMetaData

    protected class DatabaseMetaData.ResultSetIterator
    extends DatabaseMetaData.IteratorWithCleanup<java.lang.String>

### Field Summary

Fields
`(package private) int` `colIndex`
`(package private) java.sql.ResultSet` `resultSet`

### Constructor Summary

Constructors
Constructor and Description
`DatabaseMetaData.ResultSetIterator(java.sql.ResultSet rs, int index)`

### Method Summary

Methods
`(package private) void` `close()`
`(package private) boolean` `hasNext()`
`(package private) java.lang.String` `next()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### colIndex

    int colIndex

#### resultSet

    java.sql.ResultSet resultSet

### Constructor Detail

#### DatabaseMetaData.ResultSetIterator

    DatabaseMetaData.ResultSetIterator(java.sql.ResultSet rs,
                                      int index)

### Method Detail

#### close

    void close()
         throws java.sql.SQLException

Specified by:
  `close` in class `DatabaseMetaData.IteratorWithCleanup<java.lang.String>`
Throws:
  `java.sql.SQLException`

#### hasNext

    boolean hasNext()
              throws java.sql.SQLException

Specified by:
  `hasNext` in class `DatabaseMetaData.IteratorWithCleanup<java.lang.String>`
Throws:
  `java.sql.SQLException`

#### next

    java.lang.String next()
                    throws java.sql.SQLException

Specified by:
  `next` in class `DatabaseMetaData.IteratorWithCleanup<java.lang.String>`
Throws:
  `java.sql.SQLException`